<template>
	<div class="p-3">
		<div class="base_block" data-tab>
			<div class="call_main_ttl">
				<button type="button" class="btn active" data-tab-btn>Заявка</button>
				<button type="button" class="btn" data-tab-btn>Записи звонков</button>
			</div>


			<div class="call_main_cnt">
				<div class="call_discuss_pane active" data-tab-pane>
					<div class="cplt">
						<div class="cplt_cnt">
							<div class="cplt_info">
								<div class="cplt_edit_ttl">Заявитель</div>

								<ul class="cplt_info_ls">
									<li>
										<div class="txt">Ф.И.О:</div>
										<div class="val">
											{{ (callModel.applicantName && callModel.applicantName !== '') ? callModel.applicantName : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">Адрес:</div>
										<div class="val">
											{{ (callModel.applicantAddress && callModel.applicantAddress !== '') ? callModel.applicantAddress : '---' }}
										</div>
									</li>

									<li>
										<div class="txt">Телефон:</div>
										<div class="val">
											{{ (callModel.applicantNumber && callModel.applicantNumber !== '') ? callModel.applicantNumber : '---' }}
										</div>
									</li>
								</ul>
							</div>


							<hr class="call_asd_group_hr">


							<div class="cplt_note_txt">
								<div class="cplt_edit_ttl">Содержание заявки</div>

								<div class="cplt_note_txt_cnt">
									<div class="cplt_note_txt_it" v-for="item in noteList" v-html="item"></div>
								</div>
							</div>


							<hr class="call_asd_group_hr">


							<div class="cplt_note">
								<div class="cplt_edit_ttl">Содержание ответа</div>

								<div class="row">
									<div class="col-7">
										<div class="mb-3">
											<ckeditor :editor="editor" v-model="callModel.notes" :config="editorConfig"></ckeditor>
										</div>


										<div class="row mb-3">
											<div class="col-6">
												<div class="call_asd_lbl">
													<div class="txt">Категория</div>
												</div>

												<div class="base_select_alt">
													<select class="form-control" v-model="callModel.categoryId" required>
														<option value="0" selected hidden>-</option>
														<option v-for="item in categoryList" :value="item.id">{{ item.name }}</option>
													</select>

													<i class="mdi mdi-menu-down"></i>
												</div>
											</div>

											<div class="col-6">
												<div class="call_asd_lbl">
													<div class="txt">Приоритет</div>
												</div>

												<div class="base_select_alt">
													<select class="form-control" v-model="callModel.priorityId" required>
														<option value="0" selected hidden>-</option>
														<option v-for="item in priorityList" :value="item.id">{{ item.name }}</option>
													</select>

													<i class="mdi mdi-menu-down"></i>
												</div>
											</div>
										</div>


										<div class="row">
											<div class="col-6">
												<div class="call_asd_lbl">
													<div class="txt">Исполнитель</div>
												</div>

												<div class="base_select_alt">
													<select class="form-control" v-model="callModel.executor2Id" required>
														<option value="0" selected hidden>-</option>
														<option v-for="item in userList" :value="item.id">{{ item.fio }}</option>
													</select>

													<i class="mdi mdi-menu-down"></i>
												</div>
											</div>

											<div class="col-6">
												<div class="call_asd_lbl">
													<div class="txt">Копии</div>
												</div>

												<div class="base_select_alt">
													<select class="form-control" v-model="callModel.executorCopyId" required>
														<option value="0" selected hidden>-</option>
														<option v-for="item in userList" :value="item.id">{{ item.fio }}</option>
													</select>

													<i class="mdi mdi-menu-down"></i>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>


							<hr class="call_asd_group_hr">


							<!--<div class="cplt_photo">-->
							<!--<div class="cplt_edit_ttl">Фото</div>-->
							<!---->
							<!--<ul class="cplt_photo_ls">-->
							<!--<li><a href=""><img src="/img/login_preview.png" alt=""></a></li>-->
							<!--<li><a href=""><img src="/img/user.jpg" alt=""></a></li>-->
							<!--<li><a href=""><img src="/img/login_preview.png" alt=""></a></li>-->
							<!--<li><a href=""><img src="/img/user.jpg" alt=""></a></li>-->
							<!--</ul>-->
							<!--</div>-->


							<!--<hr class="call_asd_group_hr">-->


							<div class="cplt_docs">
								<div class="cplt_edit_ttl">Файлы</div>

								<ul class="cplt_docs_ls">
									<li v-for="item in fileList">
										<a href="#" @click.prevent="DownloadFile(baseUrl + 'ClientCard/getFile?id=' + item.id, item.fileName)">
											<span class="txt">{{ item.fileName }}</span>
											<i class="mdi mdi-download"></i>
										</a>
									</li>
								</ul>
							</div>


							<hr class="call_asd_group_hr">


							<div class="cplt_note">
								<div class="cplt_edit_ttl">Прикрепить</div>


								<div class="row">
									<div class="col-7">
										<file-pond
												name="test"
												ref="pond"
												class-name="my-pond"
												label-idle="Drop files here..."
												allow-multiple="true"
												@addfile="handleFilePond"
												@removefile="handleFilePond"
										/>
									</div>
								</div>
							</div>


							<hr class="call_asd_group_hr">


							<div class="d-flex align-items-center justify-content-end py-3">
								<div class="btn-group cplt_btn_status">
									<button type="button" class="btn call_save_btn dropdown-toggle" data-toggle="dropdown">
										{{ (statusList.length > 0 && callModel.status !== 0) ? statusList.find(x => x.key === callModel.status).value : '---' }}
									</button>
									<div class="dropdown-menu">
										<a
											href="#"
											class="dropdown-item"
											v-for="item in statusList"
											v-if="item.key !== 1"
											@click.prevent="StatusChange(item.key)"
										>
											{{ item.value }}
										</a>
									</div>
								</div>

								<button type="button" class="btn call_save_btn ml-3" @click="Save">Сохранить</button>
							</div>

						</div>
					</div>
				</div>


				<div class="call_discuss_pane" data-tab-pane>
					<div class="p-3">
						<div class="call_message">
							<div class="call_message_hd call_title">История абонента</div>

							<div class="call_message_bd" v-if="clientHistoryList.length > 0">
								<div class="call_message_it" v-for="item in clientHistoryList">
									<div class="call_discuss_rec">
										<div class="call_discuss_rec_name">Сохраненная аудиозапись</div>

										<div class="call_discuss_rec_play_bx">
											<div class="call_discuss_rec_play">
												<audio controls :src="item.url" preload="none" @play="AudioPlay">
													Your browser does not support the <code>audio</code> element.
												</audio>
											</div>

											<!--<button type="button" class="call_discuss_rec_play_del">-->
											<!--<i class="mdi mdi-delete-forever"></i>-->
											<!--</button>-->
										</div>
									</div>

									<div class="call_discuss_dtls">
										<div class="call_discuss_dtls_name">Подробности звонка</div>

										<ul class="call_discuss_dtls_ls">
											<li>
												<div class="txt">Звонок от:</div>
												<div class="val">{{ item.callerIdNumber }}</div>
											</li>

											<li>
												<div class="txt">Звонок на:</div>
												<div class="val">{{ item.destinationNumber }}</div>
											</li>

											<li>
												<div class="txt">Время звонка:</div>
												<div class="val">{{ item.startStamp }}</div>
											</li>

											<li>
												<div class="txt">Ответил:</div>
												<div class="val">{{ item.userName }}</div>
											</li>

											<li>
												<div class="txt">Длительность телефонного звонка:</div>
												<div class="val">{{ item.billsec }} c</div>
											</li>
										</ul>
									</div>
								</div>
							</div>

							<div class="call_message_ft d-flex justify-content-end py-4" v-if="clientHistoryList.length > 0">
								<paginate
										:page-count="clientHistoryListPageCount"
										:page-range="3"
										:margin-pages="1"
										:click-handler="GetHistoryClient"
										container-class="pagination base_pagination"
										page-class="page-item"
										prev-class="page-item ctrl"
										next-class="page-item ctrl"
										page-link-class="page-link"
										prev-link-class="page-link"
										next-link-class="page-link"
										prev-text="<i class='mdi mdi-chevron-left'></i>"
										next-text="<i class='mdi mdi-chevron-right'></i>"
								>
								</paginate>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>

<style>

</style>

<script src="./script.js"></script>